Package org.springframework.cloud.task.batch.autoconfigure.rabbit

# Class AmqpItemWriterProperties

java.lang.Object
org.springframework.cloud.task.batch.autoconfigure.rabbit.AmqpItemWriterProperties

@ConfigurationProperties(prefix="spring.batch.job.amqpitemwriter") public class AmqpItemWriterProperties extends Object

Since:
  2.3
Author:
  Glenn Renfro

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AmqpItemWriterProperties()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isEnabled()`
  The state of the enabled flag.
  `boolean`
  `isJsonConverterEnabled()`
  States whether the `Jackson2JsonMessageConverter` is used as a message converter.
  `void`
  `setEnabled(boolean enabled)`
  Enables or disables the `AmqpItemWriter`.
  `void`
  `setJsonConverterEnabled(boolean jsonConverterEnabled)`
  Establishes whether the `Jackson2JsonMessageConverter` is to be used as a message converter.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AmqpItemWriterProperties

    public AmqpItemWriterProperties()

- ## Method Details

  - ### isEnabled

    public boolean isEnabled()
    The state of the enabled flag.
    Returns:
      `true` if `AmqpItemWriter` is enabled. Otherwise `false`.

  - ### setEnabled

    public void setEnabled(boolean enabled)
    Enables or disables the `AmqpItemWriter`.
    Parameters:
      `enabled` - if `true` then `AmqpItemWriter` is enabled. Defaults to `false`.

  - ### isJsonConverterEnabled

    public boolean isJsonConverterEnabled()
    States whether the `Jackson2JsonMessageConverter` is used as a message converter.
    Returns:
      true if enabled else false.

  - ### setJsonConverterEnabled

    public void setJsonConverterEnabled(boolean jsonConverterEnabled)
    Establishes whether the `Jackson2JsonMessageConverter` is to be used as a message converter.
    Parameters:
      `jsonConverterEnabled` - true if it is to be enabled else false. Defaults to true.